THINGMENU(1)

NAME
thingmenu - a simple menu for X11

SYNOPSIS
thingmenu [-x] [-s] [-o] [-g geometry] [-ws widthscaling] [-hs heightscaling] [--] label0 cmd0 [label1 cmd1 ...]

DESCRIPTION

thingmenu is a simple menu for X11. The menu can be displayed in a horizontal or a vertical layout. The manual specification of the parameters of the menu makes it flexible to be used in many circumstances.

IMPLEMENTATION

Installation is as straighforward as grabbing the tar.gz file, extracting it and running "make; make install;" inside the "thingmenu-*" directory. The prefix for the installation can easily set using "PREFIX=/usr make install".

OPTIONS
thingmenu options and default settings.

-x  Do not append a "Cancel" menu item.

-s  Disable the oneshot behaviour. After one button click thingmenu won't exit, except when the "Cancel" button is clicked.

-o  Use the horizontal layout.

-g  Define the X11 geometry string, which is to be used.

-ws Define the width scaling.

-hs Define the height scaling.

CUSTOMIZATION

thingmenu is customized by creating a custom config.h and (re)compiling the source code.

EXAMPLES

Open a 300px wide menu, which is showing an entry "Reboot now". When being clicked this entry will run "reboot". After that the menu will not exit (-s).

    	% thingmenu -s -ww 300 -- "Reboot now" reboot

This will create a centered menu, which is aligned based on the length of the label texts. After the first clicked entry it will exit.

    	% thingmenu "Force reboot" "reboot -f" Shutdown shutdown

FILES
LICENSE, thingmenu-menu.sh, config.def.h, config.h

AUTHORS
See LICENSE file for authors in the distribution.

LICENSE
thingmenu is released under the MIT/X Consortium License.

BUGS

  Reporting Bugs
Report bugs to: Christoph Lohmann <20h@R-36.net>